<script setup lang="ts">
import { useStudentStore } from '@/stores/student';
import { storeToRefs } from 'pinia';
import { watch, computed,onMounted } from 'vue';

const props = defineProps<{
    promo: number,
    tableCount: number
}>();


const studentPerTable = computed(() => Math.ceil(students.value.length / props.tableCount))

const studentStore = useStudentStore();
const { students } = storeToRefs(studentStore);

onMounted(async () => {
    await studentStore.fetchRandomized(props.promo);

})
watch(props, async () => {
    await studentStore.fetchRandomized(props.promo);
})

</script>

<template>
    <el-row :gutter="20">
        <el-col :md="6" v-for="index in tableCount" :key="index">
            <el-card class="box-card">
                <template #header>
                    <div class="card-header">
                        <span>Table {{ index }}</span>
                    </div>
                </template>
                <div v-for="studentIndex in studentPerTable" :key="studentIndex" class="text item">
                    <span v-if="students[(studentIndex-1) + studentPerTable*(index-1)]">{{students[(studentIndex-1) + studentPerTable*(index-1)].name }}</span>
                    <span v-if="!students[(studentIndex-1) + studentPerTable*(index-1)]">Libre</span>
                </div>
            </el-card>
        </el-col>
    </el-row>
</template>

<style scoped>

.el-card {
 
    margin-bottom: 5px;
}
</style>